Page 3 of 8

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Sun Nov 16, 2014 7:22 am
by jazzyguy
@jayO What should I do to Get 3.5?What procedure should I follow to get it?You weren't clear on what I should do. I would follow your procedure if I knew what it was.Please advise.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Sun Nov 16, 2014 7:24 am
by jazzyguy
BTW I have written to the Tech Support and told them of our fellow member's experiences.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Sun Nov 16, 2014 7:37 am
by JayO
Hey JazzGuy,
Just download Onyx from the link I provided below, then do these 5 steps.
Be aware your system will run slowly while running in "safe mode" but it only takes about 10 minutes to perform a "clean" upgrade to 3.5 while booted in "safe mode".
The upside is all your settings from 3.4.2 will be retained, unlike if you uninstalled and re-installed from scratch.
Besides Onyx is a good utility that every Mac user should have on their hard drive anyway.
Hopefully this helps.

- Jay

JayO wrote:There does indeed seem to be a problem with the LS 3.5 installer corrupting something in the boot cache.
First off, I'm running Yosemite on an unsupported MacPro 1,1 which I've flashed the SMC and firmware to a 2,1, so I'm in uncharted territory to begin with :) .

I tried 3 times to install 3.5 unsuccessfully, once using the internal (Sparkle if I'm not mistaken) updater and twice with the stand alone update.

I finally got 3.5 to install by doing the following :
1- Boot into safe mode by holding down the shift key after the startup chime.
2- run the Little Snitch standalone updater from the Objective website
3- reboot into safe mode with the shift key again
4- use Onyx (http://www.macupdate.com/app/mac/11582/onyx) or a similar utility to rebuild all the caches (including the boot cache)
5- reboot normally and enjoy LS 3.5 :-)

Hopefully this helps.

- Jay

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Sun Nov 16, 2014 4:16 pm
by jazzyguy
The key to this situation with not getting 3.5 is the fact that it is saying when it doesn't install that it is a MISMATCH.Which means to me that something is missing from it.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Mon Nov 17, 2014 2:28 pm
by Snubber
FWIW, the 3.5 update seems to have worked fine for me. I've had lots of other issues with Yosemite, some of them still not solved, but Little Snitch does not seem to be one of them.

I hope people with LS issues get them solved quickly and easily.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Mon Nov 17, 2014 6:12 pm
by jazzyguy
I wish you Luck Snubber in your travels through Yosemite. My little Snitch will be cured soon by Objective Development (I hope)

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Mon Nov 17, 2014 6:18 pm
by jazzyguy
Objective Development STILL hasn't answered my numerous emails to them.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Tue Nov 18, 2014 5:27 pm
by EMR
JayO wrote:There does indeed seem to be a problem with the LS 3.5 installer corrupting something in the boot cache.
First off, I'm running Yosemite on an unsupported MacPro 1,1 which I've flashed the SMC and firmware to a 2,1, so I'm in uncharted territory to begin with :) .

I tried 3 times to install 3.5 unsuccessfully, once using the internal (Sparkle if I'm not mistaken) updater and twice with the stand alone update.

I finally got 3.5 to install by doing the following :
1- Boot into safe mode by holding down the shift key after the startup chime.
2- run the Little Snitch standalone updater from the Objective website
3- reboot into safe mode with the shift key again
4- use Onyx (http://www.macupdate.com/app/mac/11582/onyx) or a similar utility to rebuild all the caches (including the boot cache)
5- reboot normally and enjoy LS 3.5 :-)

Hopefully this helps.

- Jay


Hi, I'm a fellow Mac Pro 1,1->2,1 user running Yosemite 10.10 thanks to Pike's boot.efi. Last Friday I updated my bona-fide version of Little Snitch 3.5. As you know well, the final result was total disaster. I didn't have a stand-alone Little Snitch 3.4.2 at the time and I couldn't access the Internet to look for one, so I simply restored the system from my trusted SuperDuper! backup of Yosemite. Now I have Yosemite 10.10.1, but I have misgivings about attempting the update to 3.5 again. The developer doesn't seem very enthusiastic to explore what might be wrong with 3.5 on unsupported machines, so we might be out of luck for the foreseeable future, unless he somehow inadvertently solves a bug in a nightly build. Be that as it may, I was wondering if the whole issue might be a failure by Little Snitch 3.5 to properly erase the boot cache when it says it's doing it. Do you think that updating to 3.5 and, without booting when prompted, having Onyx delete the cache might do the trick? Or do you feel that safe-booting twice is imperative?

Are you aware whether this bug/incompatibility affects only unsupported Macs on Yosemite? Or does it affect unsupported Macs on previous versions of OS X? Does it affect supported Macs on Yosemite or previous versions of OS X?

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Tue Nov 18, 2014 11:17 pm
by JayO
AFAIK this problem is affecting some folks with supported Macs too, but the problem seems to be more prevalent with older unsupported machines.
Like I said above, I was able to install 3.5 using the steps I listed.
Hopefully this helps.

- Jay

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Wed Nov 19, 2014 10:31 pm
by jazzyguy
I had to reinstall Yosemite when i did 3.5 was installed watch out for Simon at objective develp.he doesn't answer your emails

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Thu Nov 20, 2014 10:40 am
by Reggie Stration
jazzyguy wrote:Objective Development STILL hasn't answered my numerous emails to them.

Biggest fail for me is not that the new release has problems, all software has issues and sometimes catches developers unaware. It’s not even a lack of response as I had an email from the devs.
It’s that on release of a new version, (bearing in mind that real problems arise in the field and not during limited beta testing), the latest known stable release or nightly builds are unavailable for a brief period afterward in cases where people need to roll back.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Thu Nov 20, 2014 1:27 pm
by jazzyguy
objective dev. has not answered my request for support for many days.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Thu Nov 20, 2014 6:35 pm
by Reggie Stration
jazzyguy wrote:objective dev. has not answered my request for support for many days.

Which is not good but as I said the fallout wouldn’t be so bad if older versions were still available.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Thu Nov 20, 2014 6:49 pm
by jazzyguy
if you run into a 'helper' named Simon please avoid him. he doesn't answer emails for telephone support.

Re: LITTAL SNITCH FAILS TO INSTALL IN YOSEMITE

Posted: Thu Nov 20, 2014 7:36 pm
by jazzyguy
a user doesn't have to do a reinstall of Yosemite for LS to work.if they had this correctly this would be an unnessessary procedure.